### Method

# Ide Vcs get_branch_name

#### Declaration

    gchar*
    ide_vcs_get_branch_name (
      IdeVcs* self
    )

#### Description

Retrieves the name of the branch in the current working directory.

Available since: | 3.32

Gets property | `Ide.Vcs:branch-name`

#### Return value

Returns: | `gchar*`
| A string containing the branch name.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.